This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1282867 - Review Request: python-requestsexceptions - Import exceptions from potentially bundled packages in requests
Review Request: python-requestsexceptions - Import exceptions from potentiall...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Javier Peña
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-17 11:36 EST by Javier Peña
Modified: 2016-06-17 09:27 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-17 09:27:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rbarlow: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Javier Peña 2015-11-17 11:36:17 EST
Spec URL: https://jpena.fedorapeople.org/python-requestsexceptions/python-requestsexceptions.spec
SRPM URL: https://jpena.fedorapeople.org/python-requestsexceptions/python-requestsexceptions-1.1.1-1.fc24.src.rpm
Description: This is a simple library to find the correct path to exceptions in the requests library
regardless of whether they are bundled.
Fedora Account System Username: jpena

Koji scratch build available at http://koji.fedoraproject.org/koji/taskinfo?taskID=11884499

Please note there is only a Python 2 subpackage, since the module only seems to support that.
Comment 1 Randy Barlow 2015-11-22 20:45:27 EST
Consider using the newer Python macros that make some of the steps a little more automatic. For example, consider these replacements:

* Instead of %setup -q -n %{pypi_name}-%{version} you can use %autosetup -n %{pypyname}-%{version}.
* Instead of %{__python2} setup.py build you can use %py2_build
* Instead of %{__python2} setup.py install --skip-build --root %{buildroot} you can use %py2_install.
Comment 2 Randy Barlow 2015-11-22 23:35:20 EST
In exchange for reviewing your package, would you consider reviewing this one for me?

https://bugzilla.redhat.com/show_bug.cgi?id=1284155
Comment 3 Randy Barlow 2015-11-22 23:37:17 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache
     (v2.0)". 16 files have unknown license. Detailed output of
     licensecheck in /home/rbarlow/1282867-python-
     requestsexceptions/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[?]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[?]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-requestsexceptions-1.1.1-1.fc24.noarch.rpm
          python-requestsexceptions-1.1.1-1.fc24.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python2-requestsexceptions (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python2-requestsexceptions:
    python-requestsexceptions
    python-requestsexceptions(x86-64)
    python2-requestsexceptions



Source checksums
----------------
https://pypi.python.org/packages/source/r/requestsexceptions/requestsexceptions-1.1.1.tar.gz :
  CHECKSUM(SHA256) this package     : 21853958a2245d6dc1c851cf31ccc24ab5142efa67d73cca4b7678f604bbaf52
  CHECKSUM(SHA256) upstream package : 21853958a2245d6dc1c851cf31ccc24ab5142efa67d73cca4b7678f604bbaf52


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1282867
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 4 Randy Barlow 2015-11-22 23:43:09 EST
Also, consider naming the package python2-requestsexceptions.
Comment 5 Javier Peña 2015-11-23 05:00:26 EST
Hi Randy,

Thanks for the review. I have uploaded an updated package version:

SPEC: https://jpena.fedorapeople.org/python-requestsexceptions/python-requestsexceptions.spec
SRPM: https://jpena.fedorapeople.org/python-requestsexceptions/python-requestsexceptions-1.1.1-2.fc24.src.rpm

This version addresses comment #1. About the package name, there is already a python2-requestsexceptions subpackage, so I think it is best to keep python-requestsexceptions as the package name, so there is no need to change it in the future once it gets Python 3 support. 

Also, there is no %check section because the upstream source does not include any tests.
Comment 6 Randy Barlow 2015-11-23 21:53:26 EST
Ah yes, I see what you mean by the name. Sorry for the confusion. I had noticed that there weren't upstream checks. I suppose I should have put a - for not applicable. I will post a new review momentarily!
Comment 7 Randy Barlow 2015-11-23 22:01:56 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache
     (v2.0)". 16 files have unknown license. Detailed output of
     licensecheck in /home/rbarlow/1282867-python-
     requestsexceptions/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-requestsexceptions-1.1.1-2.fc24.noarch.rpm
          python-requestsexceptions-1.1.1-2.fc24.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python2-requestsexceptions (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python2-requestsexceptions:
    python-requestsexceptions
    python-requestsexceptions(x86-64)
    python2-requestsexceptions



Source checksums
----------------
https://pypi.python.org/packages/source/r/requestsexceptions/requestsexceptions-1.1.1.tar.gz :
  CHECKSUM(SHA256) this package     : 21853958a2245d6dc1c851cf31ccc24ab5142efa67d73cca4b7678f604bbaf52
  CHECKSUM(SHA256) upstream package : 21853958a2245d6dc1c851cf31ccc24ab5142efa67d73cca4b7678f604bbaf52


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1282867
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 8 Gwyn Ciesla 2015-11-24 11:44:41 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-requestsexceptions
Comment 9 Fedora Update System 2015-11-25 04:39:15 EST
python-requestsexceptions-1.1.1-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-32ca45f65a
Comment 10 Fedora Update System 2015-11-25 04:39:39 EST
python-requestsexceptions-1.1.1-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1f1aecc51a
Comment 11 Fedora Update System 2015-11-25 21:25:15 EST
python-requestsexceptions-1.1.1-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-requestsexceptions'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-32ca45f65a
Comment 12 Fedora Update System 2015-11-25 21:54:00 EST
python-requestsexceptions-1.1.1-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-requestsexceptions'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1f1aecc51a

Note You need to log in before you can comment on or make changes to this bug.